Bug 519096 - Alt-Tab sometimes lists new popup windows that are on another workspace
Summary: Alt-Tab sometimes lists new popup windows that are on another workspace
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 06:42 UTC by Jens Petersen
Modified: 2010-11-04 14:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-04 14:36:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 535887 None None None Never

Description Jens Petersen 2009-08-25 06:42:40 UTC
Description of problem:
It sometimes happens when windows popped up from IM or nautilus
(eg when a device is inserted) on another workspace that
Alt+Tab lists the window(s) in all workspaces even though they
are only in one other workspace - they can make them hard to
find if one has a bunch of active workspaces...

I can try to describe steps necessary to reproduce if it helps.


(Once the window(s) in question have been made visible (given
focus) of course the problem goes away.)

Steps to Reproduce:
1. insert a usb drive into machine while on workspace 1
   (may need some full-size windows in the way)
   and drive icon appears on desktop
2. switch to workspace 2 (timing may matter)
3. press Alt+Tab
4. switch to workspace 3 and press Alt+Tab again

Actual results:
3. lists drive's file window but can't give it focus
   since it is actually on another workspace
4. also lists usb drive's window

Expected results:
3 & 4: window on different workspace should not be listed by Alt+Tab

Additional info:
This is a pretty long-standing annoying bug.

Comment 1 Bug Zapper 2009-11-16 11:39:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Owen Taylor 2009-11-18 20:15:16 UTC
Switching upstream bug to a better reference

Comment 3 Bug Zapper 2010-11-04 10:23:48 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Owen Taylor 2010-11-04 14:36:38 UTC
Don't really want to use Fedora bugzilla for tracking work that needs to be done on upstream Metacity and has already been reported upstream. (And discussed, and a solution agreed upon ... someone just needs to come up with a patch.)


Note You need to log in before you can comment on or make changes to this bug.